Bug 98991 - Some legacy menu items missing
Some legacy menu items missing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-vfs2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-11 09:56 EDT by Toralf
Modified: 2015-03-03 17:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2003-07-11 09:56:00 EDT
Description of problem:
Many items for old-style .desktop files in /usr/share/gnome/apps and
/etc/X11/applnk appear to be missing from the GNOME menu; they don't even appear
in "Other". In fact, the "Other" menu doesn't appear at all. This is true e.g.
for entries added by 3rd party apps like Anyware Office and CrossOver Office.

To make a long story short, I suspect that something is wroing with 
<OnlyUnallocated/> test for "Other". If I remove the line, all missing items
appear in "Other", but unfortunately, so do a large proportion of the entries
already included elsewhere.

Version-Release number of selected component (if applicable):
0.38-1

How reproducible:
Every time

Steps to Reproduce:
1. Add a simple .desktop file, without Keyword line or anything, to
/usr/share/gnome/apps/Applications
2. Open Applications menu

    
Actual results:
Entry corresponding to .desktop file appears in "Others" menu.


Expected results:
Others menu doesn't exist; entry appears nowhere else, as far as I can tell.


Additional info:

The contents of a failed entry; filename anyware.desktop:

[Desktop Entry]
Name=Anyware
Name[de]=Anyware
Name[fr]=Anyware
Name[cn]=Anyware
Name[jp]=Anyware
Comment=Anyware Office Suite
Comment[de]=Anyware Office Suite
Comment[fr]=Suite Anyware Office
Comment[cn]=Anyware Office Suite
Comment[jp]=Anyware Office Suite
Exec=/opt/vistasource/office
Icon=/usr/share/icons/aplx48x48.xpm
Terminal=0
MultipleArgs=0
Type=Application
Comment 1 Michael Schwendt 2003-10-20 17:51:14 EDT
What's the status of this bug?

At fedora.us, an application with categories
"Application;Science;Education;X-Fedora;" only shows up in KDE's "Other" menu
and doesn't show up at all in GNOME's menu.
Comment 2 Alexander Larsson 2003-10-21 03:26:57 EDT
hp is the owner of the menu setup, reassigning.
Comment 3 Bill Nottingham 2006-08-05 01:06:18 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Toralf 2006-08-14 04:16:38 EDT
We're not using Fedora Core right now, but it looks like Enterprise Linux 4WS
has a similar problem. In fact, the menu entries do appear on that release, but
not under "Others". Instead, anything stored under
/usr/share/gnome/apps/Applications will appear in a separate submenu called
Applications. This behaviour is clearly related to the one described in bug
127082, and I see it e.g. for is the file
/usr/share/gnome/apps/Applications/gfax.desktop containing:

[Desktop Entry]
Name=Gfax
Name[de]=Gfax
Name[es]=Gfax
Name[fr]=Gfax
Name[no]=Gfax
Name[pt]=Gfax
Name[pt_BR]=Gfax
Name[sk]=Gfax
Comment=Gnome Fax Application
Comment[de]=Gnome Fax Programm
Comment[es]=Gnome Fax Application
Comment[fr]=Application Gnome Fax
Comment[no]=Gnome Fax Application
Comment[pt]=Gnome Fax Application
Comment[pt_BR]=Aplica��o Fax Gnome
Comment[sk]=GNOME aplik�cie pre fax
TryExec=gfax
Exec=gfax
Icon=gfax.png
Terminal=0
Type=Application
Comment 5 Jiri Pallich 2012-06-20 12:00:00 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.